/**
 * 最初の著者:: トゥイー
 * リポジトリ情報:: $Id: StdoutView.hpp 23 2011-05-10 02:25:55Z yutaka_at_home $
 * 著作権:: Copyright (C) Ownway.info, 2011. All rights reserved.
 * ライセンス:: CPL(Common Public Licence)
 */

#ifndef _SPEECH_CONTROLLER_FRAMEWORK_VIEW_STDOUT_VIEW_HPP_
#define _SPEECH_CONTROLLER_FRAMEWORK_VIEW_STDOUT_VIEW_HPP_

#include "spcf/core/View.hpp"

namespace spcf {

	class StdoutView : public View {
	public:
		void start(Context& context);
		void soundStarted(Context& context);
		void soundStoped(Context& context);
		void recognized(Context& context, Recognition& recognition);
		void stop(Context& context);
		void finish(Context& context);
	};

}  // namespace spcf

#endif

